Get API key
Authenticated all requests require Authorization: Bearer mk_test_…Learn more
API ReferenceShipmentsGet detail for a single shipment

Get detail for a single shipment

GET/api/v1/shipments/{shipment_id}

shipment_id accepts the tracking number. Filters by clientId + livemode — your shipment only. Distinct from GET /v1/tracking/{tn} which is intentionally broader (tracking-widget use case).

Parameters

shipment_id*
stringpath

Responses

Success body
{
  "status": 200,
  "message": "OK",
  "data": {
    "created_at": "2026-05-28T07:44:23.908Z",
    "delivered_at": null,
    "destination_country": null,
    "id": "IM-2026-0528-9ZNCP3-1",
    "livemode": false,
    "service_tier": "HKASTDGGSTCM",
    "status": "label_created",
    "carrier_code": "merdi",
    "destination": {
      "country": null,
      "district": "CA"
    },
    "dispatch_status": null,
    "events": [
      "shipment.delivered"
    ],
    "label_pdf_url": null,
    "last_mile_tracking_number": null,
    "waybill_number": null
  }
}

Returned object

FieldTypeSample
statusnumber200
messagestringOK
dataobject{14 keys}